## mriconvert 2.1.0

=== CMakeLists.txt ===
#####################################################
## CMakeLists.txt for MRIConvert and mcverter
#####################################################

project( MRIConvert )

cmake_minimum_required( VERSION 2.8 )

if( WIN32 )
  message( "WIN32" )
  set( wxWidgets_ROOT_DIR "c:/wxWidgets-3.0.2" )
  set( wxWidgets_LIB_DIR "c:/wxWidgets-3.0.2/lib/vc_lib" )
  set( wxWidgets_CONFIGURATION "mswu" )
  add_definitions( /D_CRT_SECURE_NO_WARNINGS )
  add_definitions( /D_SCL_SECURE_NO_WARNINGS )
  add_compile_options( /EHsc )
  add_compile_options( /MT )
else( WIN32 )
  set( wxWidgets_ROOT_DIR /usr )
  ## Uncomment for gnu debug.
  ##set( CMAKE_CXX_FLAGS " -ggdb ${CMAKE_CXX_FLAGS} " )
endif( WIN32 )

set( wxWidgets_USE_DEBUG OFF )
set( wxWidgets_USE_UNICODE ON )
set( wxWidgets_USE_SHARED OFF )
set( wxWidgets_USE_UNIVERSAL OFF )

set( CMAKE_VERBOSE_MAKEFILE TRUE )
set( EXECUTABLE_OUTPUT_PATH "release" )

## Setup for wxWidgets, order is important, see
## http://docs.wxwidgets.org/stable/wx_librarieslist.html
find_package( wxWidgets REQUIRED adv core base )
if( wxWidgets_FOUND )
  include( ${wxWidgets_USE_FILE} )
endif( wxWidgets_FOUND )

message( "wxWidgets libraries: ${wxWidgets_LIBRARIES}" )
    
message( "System name ${CMAKE_HOST_SYSTEM_NAME}" )

if( ${CMAKE_HOST_APPLE} )
  message( "OS X build" )

  set( CMAKE_OSX_ARCHITECTURES "x86_64")

  set( MACOSX_BUNDLE_INFO_STRING "MRIConvert-mcverter" )
  set( MACOSX_BUNDLE_ICON_FILE "MRIConvert.icns" )
  set( MACOSX_BUNDLE_GUI_IDENTIFIER "edu.uoregon.lcni.MRIConvert" )
  set( MACOSX_BUNDLE_LONG_VERSION_STRING "version 2.1.0" )
  set( MACOSX_BUNDLE_BUNDLE_NAME "MRIConvert" )
  set( MACOSX_BUNDLE_SHORT_VERSION_STRING "2.1.0" )
  set( MACOSX_BUNDLE_BUNDLE_VERSION "2.1" )
  set( MACOSX_BUNDLE_COPYRIGHT "copyright" )

  set_source_files_properties(
        MRIConvert.icns
        PROPERTIES
        MACOSX_PACKAGE_LOCATION Resources
        )
endif( ${CMAKE_HOST_APPLE} )

add_executable( MRIConvert WIN32 MACOSX_BUNDLE
  AchievaDtiHandler.cpp
  AnalyzeOptionsDlg.cpp
  AnalyzeOutputter.cpp
  AnalyzeVolume.cpp
  Basic3DOutputter.cpp
  BasicOptionsDlg.cpp
  BasicVolumeFormat.cpp
  BvFiles.cpp
  BvOptionsDlg.cpp
  Converter.cpp
  DicomElement.cpp
  DicomElementInstance.cpp
  DicomFile.cpp
  DicomTag.cpp
  DicomTree.cpp
  DicomViewer.cpp
  Dictionary.cpp
  EnhancedMrHandler.cpp
  FslNiftiOutputter.cpp
  GeDti2Handler.cpp
  GeDtiRbHandler.cpp
  GeEpiHandler.cpp
  Globals.cpp
  HandlerFactory.cpp
  ImageView.cpp
  InfoFrame.cpp
  MainHeader.cpp
  MRIConvert.cpp
  McFrame.cpp
  McPanel.cpp
  MessageList.cpp
  MetaHeader.cpp
  MetaOptionsDlg.cpp
  NewBvOutputter.cpp
  NewMetaOutputter.cpp
  NewMetaVolume.cpp
  NewSpmOutputter.cpp
  NewSpmVolume.cpp
  NiftiOptionsDlg.cpp
  NiftiOutputter.cpp
  NiftiOutputterBase.cpp
  NiftiVolume.cpp
  NoOptionsDlg.cpp
  NumarisMosaicHandler.cpp
  OutputFactory.cpp
  OutputList.cpp
  OutputTreeNew.cpp
  OutputterBase.cpp
  OverrideDlg.cpp
  OverwriteDlg.cpp
  Preamble.cpp
  SeriesHandler.cpp
  SpmOptionsDlg.cpp
  StringConvert.cpp
  SyngoHandler.cpp
  SyngoMosaicHandler.cpp
  TextFileViewer.cpp
  ValueRepresentations.cpp
  Volume.cpp
  jcsTree.cpp

  AchievaDtiHandler.h
  AnalyzeOptionsDlg.h
  AnalyzeOutputter.h
  AnalyzeVolume.h
  Basic3DOutputter.h
  BasicOptionsDlg.h
  BasicVolumeFormat.h
  BvFiles.h
  BvOptionsDlg.h
  ByteSwap.h
  ConfigValues.h
  Converter.h
  DicomElement.h
  DicomElementInstance.h
  DicomFile.h
  DicomTag.h
  DicomTags.h
  DicomTree.h
  DicomViewer.h
  Dictionary.h
  EnhancedMrHandler.h
  FslNiftiOutputter.h
  GeDti2Handler.h
  GeDtiRbHandler.h
  GeEpiHandler.h
  Globals.h
  HandlerFactory.h
  ImageView.h
  InfoFrame.h
  MainHeader.h
  MRIConvert.h
  McFrame.h
  McPanel.h
  MessageList.h
  MetaHeader.h
  MetaOptionsDlg.h
  NewBvOutputter.h
  NewMetaOutputter.h
  NewMetaVolume.h
  NewSpmOutputter.h
  NewSpmVolume.h
  NiftiOptionsDlg.h
  NiftiOutputter.h
  NiftiOutputterBase.h
  NiftiVolume.h
  NoOptionsDlg.h
  NumarisMosaicHandler.h
  OutputFactory.h
  OutputList.h
  OutputTreeNew.h
  OutputterBase.h
  OverrideDlg.h
  OverwriteDlg.h
  Preamble.h
  ReadStream.h
  SeriesHandler.h
  SpmOptionsDlg.h
  StringConvert.h
  SyngoHandler.h
  SyngoMosaicHandler.h
  TextFileViewer.h
  ValueRepresentations.h
  Volume.h
  jcsTree.h
  nifti1.h
  metaTypes.h
  resource.h
  fileformats.h
  version_string.h
  
  DicomFile.txx
  SeriesHandler.txx
  NewBvOutputter.txx
  Basic3DConversion.txx

  MRIConvert.rc
  MRIConvert.ico
  MRIConvert.icns
)

add_executable( mcverter
  McVerter.cpp
  AchievaDtiHandler.cpp
  AnalyzeOutputter.cpp
  AnalyzeVolume.cpp
  Basic3DOutputter.cpp
  BasicVolumeFormat.cpp
  BvFiles.cpp
  Converter.cpp
  DicomElement.cpp
  DicomElementInstance.cpp
  DicomFile.cpp
  DicomTag.cpp
  Dictionary.cpp
  EnhancedMrHandler.cpp
  FslNiftiOutputter.cpp
  GeDti2Handler.cpp
  GeDtiRbHandler.cpp
  GeEpiHandler.cpp
  Globals.cpp
  HandlerFactory.cpp
  MainHeader.cpp
  MetaHeader.cpp
  NewBvOutputter.cpp
  NewMetaOutputter.cpp
  NewMetaVolume.cpp
  NewSpmOutputter.cpp
  NewSpmVolume.cpp
  NiftiOutputter.cpp
  NiftiOutputterBase.cpp
  NiftiVolume.cpp
  NumarisMosaicHandler.cpp
  OutputFactory.cpp
  OutputList.cpp
  OutputterBase.cpp
  Preamble.cpp
  SeriesHandler.cpp
  StringConvert.cpp
  SyngoHandler.cpp
  SyngoMosaicHandler.cpp
  ValueRepresentations.cpp
  Volume.cpp

  McVerter.h
  AchievaDtiHandler.h
  AnalyzeOutputter.h
  AnalyzeVolume.h
  Basic3DOutputter.h
  BasicVolumeFormat.h
  BvFiles.h
  ByteSwap.h
  ConfigValues.h
  Converter.h
  DicomElement.h
  DicomElementInstance.h
  DicomFile.h
  DicomTag.h
  DicomTags.h
  Dictionary.h
  EnhancedMrHandler.h
  FslNiftiOutputter.h
  GeDti2Handler.h
  GeDtiRbHandler.h
  GeEpiHandler.h
  Globals.h
  HandlerFactory.h
  MainHeader.h
  MetaHeader.h
  NewBvOutputter.h
  NewMetaOutputter.h
  NewMetaVolume.h
  NewSpmOutputter.h
  NewSpmVolume.h
  NiftiOutputter.h
  NiftiOutputterBase.h
  NiftiVolume.h
  NumarisMosaicHandler.h
  OutputFactory.h
  OutputterBase.h
  Preamble.h
  ReadStream.h
  SeriesHandler.h
  StringConvert.h
  SyngoHandler.h
  SyngoMosaicHandler.h
  ValueRepresentations.h
  Volume.h
  nifti1.h
  metaTypes.h
  resource.h
  fileformats.h
  version_string.h
  
  DicomFile.txx
  SeriesHandler.txx
  NewBvOutputter.txx
  Basic3DConversion.txx
)

if( WIN32 )

  target_link_libraries( MRIConvert comctl32 rpcrt4 ${wxWidgets_LIBRARIES} )
  target_link_libraries( mcverter comctl32 rpcrt4 ${wxWidgets_LIBRARIES} )

else( WIN32 )

  target_link_libraries( MRIConvert ${wxWidgets_LIBRARIES} )
  target_link_libraries( mcverter ${wxWidgets_LIBRARIES} )

endif( WIN32 )

=== debian/changelog ===
mriconvert (1:2.1.0-5) unstable; urgency=medium

  [ Steve Robbins ]
  * [eca3025] Update to wxwidgets 3.2.  Closes: #1019789.

 -- Steve M. Robbins <smr@debian.org>  Wed, 14 Sep 2022 17:07:25 -0500

mriconvert (1:2.1.0-4) unstable; urgency=medium

  * Team upload.
  * rebuild against wxWidgets GTK 3 package
    Closes: #933448
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Wed, 31 Jul 2019 13:07:31 +0200

mriconvert (1:2.1.0-3) unstable; urgency=medium

  * Team upload.
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/changelog

 -- Andreas Tille <tille@debian.org>  Tue, 08 Jan 2019 22:21:53 +0100

mriconvert (1:2.1.0-2) unstable; urgency=medium

  * Team upload
  * Moved packaging from SVN to Git
  * Secure URI in watch file
  * Standards-Version: 4.1.1
  * hardening=+all
  * do not parse d/changelog

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2017 15:24:53 +0100

mriconvert (1:2.1.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version (no patches needed any more)
  * Fix watch file
  * Upstream source does not provide subdir utf8proc-v1.1.6 any more so
    do not try to build anything there
  * debhelper 10
  * d/copyright:
     - Remove unneeded paragraph
     - no files to exclude any more
     - update
     - add Files: debian/*

 -- Andreas Tille <tille@debian.org>  Tue, 24 Jan 2017 08:11:44 +0100

mriconvert (1:2.0.8-4) unstable; urgency=medium

  [ Gert Wollny ]
  * Team upload.
  * d/p/gcc-6: Fix compilation with Gcc-6, Closes: #811811
  * cme fix dpkg-control

  [ Andreas Tille ]
  * Secure Vcs-Browser
  * hardening=+bindnow
  * d/control: remove duplicated section field

 -- Gert Wollny <gw.fossdev@gmail.com>  Thu, 30 Jun 2016 19:43:45 +0000

=== debian/control ===
Source: mriconvert
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steve M. Robbins <smr@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libboost-program-options-dev,
               libwxgtk3.2-dev,
               cmake,
               help2man
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/med-team/mriconvert
Vcs-Git: https://salsa.debian.org/med-team/mriconvert.git
Homepage: http://lcni.uoregon.edu/~jolinda/MRIConvert/

Package: mriconvert
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: medical image file conversion utility
 MRIConvert is a medical image file conversion utility that converts
 DICOM files to NIfTI 1.1, Analyze 7.5, SPM99/Analyze, BrainVoyager,
 and MetaImage volume formats.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_install:
	dh_install */release/mcverter */release/MRIConvert usr/bin

override_dh_installman:
	help2man --no-info -n 'non-interactive MRI conversion software' --version-string $(DEB_VERSION_UPSTREAM) --no-discard-stderr */release/mcverter > mcverter.1
	dh_installman mcverter.1 debian/MRIConvert.1

=== debian/watch ===
version=4

opts=downloadurlmangle=s:/view:/at_download/file:,filenamemangle=s/.*MRIConvert[_\-](\d\S*)-src.*/mriconvert-$1\.tar\.gz/ \
https://lcni.uoregon.edu/downloads/mriconvert \
(?:|.*/)MRIConvert[_\-](\d\S*)-src\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)/view
